Subject: Re: bug#76716: 30.1; Invalid warning related to image-scaling-factor when cus-edit is required

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Mar 2025 15:50:48 +0200

> From: Pierre Rouleau <[email-masked]>
> Date: Mon, 3 Mar 2025 11:37:10 -0500
> 
> 
> 
> Problem Description
> ===================
> 
> I am compiling my Elisp code, controlling it by a GNU make script.
> The compilation is done with something like this:
> 
>     emacs -Q  --batch -L . -f batch-byte-compile pel-custom.el
> 
> For some of these file I get this warning with Emacs 30.1, something I have never
> seen with previous versions of Emacs:
> 
>     Note, built-in variable ‘image-scaling-factor’ not bound
> 
> My code does not refer to ‘image-scaling-factor’.

Thanks, now fixed on the emacs-30 branch, and closing the bug.